libalien-wxwidgets-perl_0.65+dfsg-4+b1_amd64.deb


Advertisement

Description

libalien-wxwidgets-perl - Perl module for locating wxWidgets binaries

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libalien-wxwidgets-perl
Package version 0.65+dfsg
Package release 4+b1
Package architecture amd64
Package type deb
Installed size 111 B
Download size 23.78 KB
Official Mirror ftp.br.debian.org
Alien::WxWidgets is a simple Perl module that detects configuration settings
of an installed wxWidgets. It is useful to assist in the building of modules
that require wxWidgets, providing indispensible compile-related information
like relevant linker and compiler flags.

Alternatives

Package Version Architecture Repository
libalien-wxwidgets-perl_0.65+dfsg-4+b1_i386.deb 0.65+dfsg i386 Debian Main
libalien-wxwidgets-perl - - -

Requires

Name Value
libmodule-pluggable-perl -
libwxgtk-media3.0-dev << 3.0.3~
libwxgtk-media3.0-dev >= 3.0.2-1
libwxgtk3.0-dev >= 3.0.2-1
libwxgtk3.0-dev << 3.0.3~
perl << 5.17.0
perl -
perlapi-5.20.1 -

Provides

Name Value
wxperl-gtk2-3-0-2-uni-gcc-3-4 -

Download

Type URL
Binary Package libalien-wxwidgets-perl_0.65+dfsg-4+b1_amd64.deb
Source Package libalien-wxwidgets-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libalien-wxwidgets-perl deb package:
    # sudo apt-get install libalien-wxwidgets-perl

Files

Path
/usr/lib/x86_64-linux-gnu/perl5/5.20/Alien/wxWidgets.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Alien/wxWidgets/Utility.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Alien/wxWidgets/Config/gtk2_3_0_2_uni_gcc_3_4.pm
/usr/share/doc/libalien-wxwidgets-perl/README.Debian
/usr/share/doc/libalien-wxwidgets-perl/changelog.Debian.amd64.gz
/usr/share/doc/libalien-wxwidgets-perl/changelog.Debian.gz
/usr/share/doc/libalien-wxwidgets-perl/changelog.gz
/usr/share/doc/libalien-wxwidgets-perl/copyright
/usr/share/lintian/overrides/libalien-wxwidgets-perl
/usr/share/man/man3/Alien::wxWidgets.3pm.gz
/usr/share/man/man3/Alien::wxWidgets::Utility.3pm.gz

Changelog

2014-09-20 - gregor herrmann <gregoa@debian.org>
libalien-wxwidgets-perl (0.65+dfsg-4) unstable; urgency=medium
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ gregor herrmann ]
* Drop manual generation of perlapi-* dependency, use debhelper
9.20140809 instead.
* Declare compliance with Debian Policy 3.9.6.
* Explicitly build-depend on libmodule-build-perl.
2014-08-13 - gregor herrmann <gregoa@debian.org>
libalien-wxwidgets-perl (0.65+dfsg-3) unstable; urgency=medium
[ Niko Tyni ]
* Provide wxperl-<key> virtual package.
Provide wxperl-<key> (currently wxperl-gtk2-3-0-1-uni-gcc-3-4) virtual
package to avoid version skew between this package and libwx-perl.
(See #757855)
[ gregor herrmann ]
* Add Breaks on libwx-perl versions which don't use the virtual package.
2014-06-05 - gregor herrmann <gregoa@debian.org>
libalien-wxwidgets-perl (0.65+dfsg-2) unstable; urgency=medium
* Add perlapi-* to Depends (cf. #750017).
2014-04-01 - gregor herrmann <gregoa@debian.org>
libalien-wxwidgets-perl (0.65+dfsg-1) unstable; urgency=medium
* New upstream release.
* Update (build) dependencies to wxwidgets3.0. (Closes: #743281)
* Update years of packaging copyright.
* Patch Build.PL for supporting wxwidgets3*.
`wx-config --version' only allowed 2* as an answer.
2014-03-07 - Florian Schlichting <fsfs@debian.org>
libalien-wxwidgets-perl (0.64+dfsg-3) unstable; urgency=medium
* Team upload
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ Florian Schlichting ]
* Switch dh compatibility to level 9 to enable passing of hardening flags
* Delete trailing empty line in debian/control
* Declare compliance with Debian Policy 3.9.5
2013-08-15 - Niko Tyni <ntyni@debian.org>
libalien-wxwidgets-perl (0.64+dfsg-2) unstable; urgency=low
* Team upload.
[ gregor herrmann ]
* Explicitly (build-)depend on Module::Pluggable. (Closes: #711646)
[ Niko Tyni ]
* Add build and runtime dependencies on the new libwxgtk-media2.8-dev
package, in order to include configuration information about the
media plugin. (See #719380)
2013-05-02 - Dominique Dumont <dod@debian.org>
libalien-wxwidgets-perl (0.64+dfsg-1) unstable; urgency=low
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* Update debian/repack.stub.
* debian/control: update {versioned,alternative} (build) dependencies.
[ Dominique Dumont ]
* Imported Upstream version 0.64+dfsg
* control: updated standard-version to 3.9.4 (no other changes)
2012-05-27 - gregor herrmann <gregoa@debian.org>
libalien-wxwidgets-perl (0.59+dfsg-1) unstable; urgency=low
[ Dominique Dumont ]
* Imported Upstream version 0.55
* control: bumped standard-version (no other changes)
* copyright: refreshed format and syntax
[ gregor herrmann ]
* New upstream release 0.59.
* Update years of upstream and packaging copyright.
2011-12-30 - Dominique Dumont <dod@debian.org>
libalien-wxwidgets-perl (0.54+dfsg-1) unstable; urgency=low
[ gregor herrmann ]
* New upstream release.
* Adjust substvar generation to common practice in other packages.
[ Dominique Dumont ]
* control: BD on libwxgtk2.8-dev >= 2.8.12.1-6 to force dependency on
new multi-arch lib
* control: added dod to uploaders
2011-10-15 - gregor herrmann <gregoa@debian.org>
libalien-wxwidgets-perl (0.53+dfsg-1) unstable; urgency=low
* New upstream release.

See Also

Package Description
libalkimia-dev_4.3.2-2_amd64.deb Financial library - Development files
libalkimia4_4.3.2-2_amd64.deb Financial library common classes for KDE SC
liballeggl4-dev_4.4.2-5_amd64.deb development files for the allegrogl library
liballeggl4.4_4.4.2-5_amd64.deb library to mix OpenGL graphics with Allegro routines
liballegro-acodec5-dev_5.0.10-3+b1_amd64.deb header files for the Allegro 5 audio codec addon
liballegro-acodec5.0_5.0.10-3+b1_amd64.deb audio codec addon for the Allegro 5 library
liballegro-audio5-dev_5.0.10-3+b1_amd64.deb header files for the Allegro 5 audio addon
liballegro-audio5.0_5.0.10-3+b1_amd64.deb audio addon for the Allegro 5 library
liballegro-dialog5-dev_5.0.10-3+b1_amd64.deb header files for the Allegro 5 dialog addon
liballegro-dialog5.0_5.0.10-3+b1_amd64.deb dialog addon for the Allegro 5 library
liballegro-image5-dev_5.0.10-3+b1_amd64.deb header files for the Allegro 5 image addon
liballegro-image5.0_5.0.10-3+b1_amd64.deb image addon for the Allegro 5 library
liballegro-physfs5-dev_5.0.10-3+b1_amd64.deb header files for the Allegro 5 physfs addon
liballegro-physfs5.0_5.0.10-3+b1_amd64.deb physfs addon for the Allegro 5 library
liballegro-ttf5-dev_5.0.10-3+b1_amd64.deb header files for the Allegro 5 TTF addon
Advertisement
Advertisement